#include "GeneratorBase.h"

namespace routing {

GeneratorBase::GeneratorBase(QObject *parent)
    : GeneratorBase(nullptr, parent) {}

GeneratorBase::GeneratorBase(GeneratorBase::Data d, QObject *parent)
    : QObject(parent), _d(d) {
  establishConnections();
}

GeneratorBase::~GeneratorBase() {}

QString GeneratorBase::editorQml() { return QStringLiteral(""); }

QString GeneratorBase::mapVisualQml() { return QStringLiteral(""); }

GeneratorBase::Data GeneratorBase::data() const { return _d; }

void GeneratorBase::setData(const Data &d) {
  deleteConnections();
  _d = d;
  establishConnections();
}

void GeneratorBase::establishConnections() {}

void GeneratorBase::deleteConnections() {}

} // namespace routing
